clear
set more 1
set mem 10m
cd "D:\Data\Household Surveys\VHLSS2\Data\HH data"


*=== CREATE PANEL FILE FOR HOUSEHOLD OF VHLSS2002 AND VHLSS2004 ===

use "D:\Data\Household Surveys\VHLSS1\Data\hhold\hhexpe02",clear
keep tinh xa hoso reg8 hhsize urban02 wt30 hhsizewt quint02 quint02b
ren tinh tinh02
ren xa xa02
ren hoso hoso02
sort tinh02 xa02 hoso02
save c:\temp\q,replace

use ho1,clear
keep tinh huyen xa diaban hoso ky quyen ttnt chuho tinh02 huyen02 xa02 diaban02 ttnt02 hoso02 quy02 ghepho m1c1
keep if quyen==1
replace xa02 = xa02 + huyen02*100 + tinh02*10000
replace hoso02 = hoso02 + 100 if quy02==3 | quy02==4
replace hoso02 = hoso02 + diaban02*1000
drop huyen02 diaban02
sort tinh02 xa02 hoso02
merge tinh02 xa02 hoso02 using c:\temp\q
tab _m
keep if _m==3
drop _m
save panel_hh,replace
